WARNING - OLD ARCHIVES

This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
   
 
 
Xen 
 
Home Products Support Community News
 
   
 

xen-devel

[Xen-devel] Re: [PATCH] add check for python-devel to tools build

To: Jan Beulich <jbeulich@xxxxxxxxxx>, xen-devel <xen-devel@xxxxxxxxxxxxxxxxxxx>
Subject: [Xen-devel] Re: [PATCH] add check for python-devel to tools build
From: Anthony Liguori <aliguori@xxxxxxxxxx>
Date: Tue, 21 Nov 2006 10:51:49 -0600
Delivery-date: Tue, 21 Nov 2006 08:52:06 -0800
Envelope-to: www-data@xxxxxxxxxxxxxxxxxx
In-reply-to: <45633B55.76E4.0078.0@xxxxxxxxxx>
List-help: <mailto:xen-devel-request@lists.xensource.com?subject=help>
List-id: Xen developer discussion <xen-devel.lists.xensource.com>
List-post: <mailto:xen-devel@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=unsubscribe>
References: <45633B55.76E4.0078.0@xxxxxxxxxx>
Sender: xen-devel-bounces@xxxxxxxxxxxxxxxxxxx
User-agent: Thunderbird 1.5.0.8 (X11/20061115)
Jan Beulich wrote:
Again, this must be given exec permission after applying.

Signed-off-by: Jan Beulich <jbeulich@xxxxxxxxxx>

Index: 2006-11-17/tools/check/check_python_devel
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ 2006-11-17/tools/check/check_python_devel   2006-11-21 12:03:08.000000000 
+0100
@@ -0,0 +1,13 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+    echo
+    echo "  *** Check for python development environment FAILED"
+    exit 1
+}
+
+lib=lib
+test "$(uname -m)" != x86_64 || lib=lib64
+set -e
+[ -e /usr/$lib/python/config/Makefile ] || error

There is no /usr/lib/python/config/Makefile on Ubuntu. You should be okay if you also check for /usr/lib/python-2.[345]/config/Makefile.

Regards,

Anthony Liguori

_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel